package com.jld.vod.dao

import androidx.paging.DataSource
import androidx.room.*
import com.jld.vod.model.bean.BrowserBean


/**
 * @author ZhaoFuXin
 * @Email：18276061387@163.com
 * @description:
 * @date :2019/11/28 15:31
 */
@Dao
interface BrowserDao {
    @Insert
    fun insertAll(vararg users: BrowserBean)

    @Query("SELECT * FROM BrowserBean")
    fun getAll(): List<BrowserBean>

    /**
     * 获取所有设备给paging使用
     */
    @Query("SELECT * FROM BrowserBean")
    fun getAlls(): DataSource.Factory<Int, BrowserBean>

    @Query(" DELETE FROM BrowserBean")
    fun delete()
}